Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

EOAccessArrayFaultHandler
EOAccessFaultHandler
EOAccessGenericFaultHandler
EOAdaptor
EOAdaptorChannel
EOAdaptorContext
EOAdaptorOperation
EOAttribute
EODatabase
EODatabaseChannel
EODatabaseContext
EODatabaseDataSource
EODatabaseOperation
EOEntity
EOEntityClassDescription
EOJoin
EOLoginPanel
EOModel
EOModelGroup
EORelationship
EOSQLExpression
EOSQLExpressionFactory
EOSQLQualifier
EOStoredProcedure

### Protocols

<EOColumnTypes>
<EOPropertyListEncoding>
<EOQualifierSQLGeneration>
(EOAdaptorChannelDelegation)
(EOAdaptorContextDelegation)
(EOAdaptorDelegate)
(EODatabaseContextDelegation)
(EOModelGroupClassDelegation)
(EOModelGroupDelegation)
(EOSchemaSynchronizationDelegates)

### Constants

### Functions

EODatabaseContext_globalIDForObjectWithImpPtr
EODatabaseContext_snapshotForGlobalIDWithImpPtr
GDL2_EOAccessPrivateInit

### Macros

### Types

EOAdaptorOperator
EODatabaseOperator
EODelegateResponse
EOJoinSemantic
EOUpdateStrategy

### Variables

EOAccessFaultObjectNotAvailableException
EOAdaptorContextBeginTransactionNotification
EOAdaptorContextCommitTransactionNotification
EOAdaptorContextRollbackTransactionNotification
EOAdaptorFailureKey
EOAdaptorKey
EOAdaptorOperationsKey
EOAdaptorOptimisticLockingFailure
EOAdministrativeConnectionDictionaryKey
EOAdministrativeConnectionDictionaryNeededNotification
EOAllowsNullKey
EOBindVariableAttributeKey
EOBindVariableColumnKey
EOBindVariableNameKey
EOBindVariablePlaceHolderKey
EOBindVariableValueKey
EOColumnNameKey
EOConnectionDictionaryKey
EOCreateDatabaseKey
EOCreatePrimaryKeySupportKey
EOCreateTablesKey
EOCustomQueryExpressionHintKey
EODatabaseChannelNeededNotification
EODatabaseContextKey
EODatabaseOperationsKey
EODeleteProcedureOperation
EODistantPastTimeInterval
EODropDatabaseKey
EODropPrimaryKeySupportKey
EODropTablesKey
EOEntityLoadedNotification
EOExternalNameKey
EOExternalTypeKey
EOFailedAdaptorOperationKey
EOFailedDatabaseOperationKey
EOFetchAllProcedureOperation
EOFetchWithPrimaryKeyProcedureOperation
EOForeignKeyConstraintsKey
EOGeneralAdaptorException
EOGeneralDatabaseException
EOInsertProcedureOperation
EOModelAddedNotification
EOModelInvalidatedNotification
EOModelKey
EOMoreThanOneException
EONameKey
EONextPrimaryKeyProcedureOperation
EOPrecisionKey
EOPrimaryKeyConstraintsKey
EORelationshipsKey
EOScaleKey
EOSchemaSynchronizationForeignKeyConstraintsKey
EOSchemaSynchronizationPrimaryKeyConstraintsKey
EOSchemaSynchronizationPrimaryKeySupportKey
EOStoredProcedureNameHintKey
EOWidthKey
GDL2_EOAttributeClass
GDL2_EODatabaseContextClass
GDL2_EODatabaseContext__globalIDForObjectIMP
GDL2_EODatabaseContext_snapshotForGlobalIDIMP
GDL2_EOEntityClass
GDL2_EORelationshipClass
eqSel
struct _EOTransactionScope

Up

# EOAdaptorOperation Class

### Authors

Mirko Viviani (`mirko.viviani@gmail.com`)

Date: Generated at 2026-02-03 22:13:20 +0000

Copyright: (C) 2000-2002,2003,2004,2005 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the EOAdaptorOperation class
2. Software documentation for the EODatabaseOperation class
3. EODatabaseOperation types

# Software documentation for the EOAdaptorOperation class

## EOAdaptorOperation : NSObject

> Declared in:
>   EOAccess/EODatabaseOperation.h

EOAdaptorOperation represent an adaptor 'elementaty' operation. Instance objects are created by EODatabaseOperation

Instance Variables

### Method summary

- +adaptorOperationWithEntity:
- -adaptorOperator
- -attributes
- -changedValues
- -compareAdaptorOperation:
- -entity
- -exception
- -initWithEntity:
- -qualifier
- -setAdaptorOperator:
- -setAttributes:
- -setChangedValues:
- -setException:
- -setQualifier:
- -setStoredProcedure:
- -storedProcedure

### adaptorOperationWithEntity:

+ (EOAdaptorOperation*) adaptorOperationWithEntity: (EOEntity*)entity;
Description forthcoming.

### adaptorOperator

- (EOAdaptorOperator) adaptorOperator;
returns adaptor operator

### attributes

- (NSArray*) attributes;
Description forthcoming.

### changedValues

- (NSDictionary*) changedValues;
returns dictionary of changed values

### compareAdaptorOperation:

- (NSComparisonResult) compareAdaptorOperation: (EOAdaptorOperation*)adaptorOp;
compare 2 adaptor operations

### entity

- (EOEntity*) entity;
returns entity

### exception

- (NSException*) exception;
Description forthcoming.

### initWithEntity:

- (id) initWithEntity: (EOEntity*)entity;
Init the instance with the main concerned entity

### qualifier

- (EOQualifier*) qualifier;
returns qualifier

### setAdaptorOperator:

- (void) setAdaptorOperator: (EOAdaptorOperator)adaptorOperator;
set adaptor operator

### setAttributes:

- (void) setAttributes: (NSArray*)attributes;
Description forthcoming.

### setChangedValues:

- (void) setChangedValues: (NSDictionary*)changedValues;
set dictionary of changed values

### setException:

- (void) setException: (NSException*)exception;
Description forthcoming.

### setQualifier:

- (void) setQualifier: (EOQualifier*)qualifier;
set Qualifier

### setStoredProcedure:

- (void) setStoredProcedure: (EOStoredProcedure*)storedProcedure;
Description forthcoming.

### storedProcedure

- (EOStoredProcedure*) storedProcedure;
Description forthcoming.

## Instance Variables for EOAdaptorOperation Class

### _adaptorOperator

@protected EOAdaptorOperator _adaptorOperator;
Database Adaptor
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _attributes

@protected NSArray* _attributes;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _changedValues

@protected NSDictionary* _changedValues;
dictionary of changed fields/values
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _entity

@protected EOEntity* _entity;
Main concerned entity
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _exception

@protected NSException* _exception;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _qualifier

@protected EOQualifier* _qualifier;
qualifier
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _storedProcedure

@protected EOStoredProcedure* _storedProcedure;
Stored Procedure
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the EODatabaseOperation class

## EODatabaseOperation : NSObject

> Declared in:
>   EOAccess/EODatabaseOperation.h

EODatabaseOperation represent a database high level operation on an object (record) It creates EOAdaptorOperations. You generally don't need to create such objects by yourself. They are created by EOEditingContext

Instance Variables

### Method summary

- +databaseOperationWithGlobalID:object:entity:
- -adaptorOperations
- -addAdaptorOperation:
- -databaseOperator
- -dbSnapshot
- -entity
- -globalID
- -initWithGlobalID:object:entity:
- -newRow
- -object
- -primaryKeyDiffs
- -recordToManySnapshot:relationshipName:
- -removeAdaptorOperation:
- -rowDiffs
- -rowDiffsForAttributes:
- -setDBSnapshot:
- -setDatabaseOperator:
- -setNewRow:
- -toManySnapshots

### databaseOperationWithGlobalID: object: entity:

+ (EODatabaseOperation*) databaseOperationWithGlobalID: (EOGlobalID*)globalID object: (id)object entity: (EOEntity*)entity;
Description forthcoming.

### adaptorOperations

- (NSArray*) adaptorOperations;
returns array of EOAdaptorOperations to perform

### addAdaptorOperation:

- (void) addAdaptorOperation: (EOAdaptorOperation*)adaptorOperation;
adds an Adaptor Operation Raises an exception if adaptorOperation is `nil`

### databaseOperator

- (EODatabaseOperator) databaseOperator;
Description forthcoming.

### dbSnapshot

- (NSDictionary*) dbSnapshot;
Returns the database snapshot for the object. The snapshot contains the last known database values for the object. If the object has just been inserted (i.e. not yet in database), the returned dictionary is empty

### entity

- (EOEntity*) entity;
Description forthcoming.

### globalID

- (EOGlobalID*) globalID;
Description forthcoming.

### initWithGlobalID: object: entity:

- (id) initWithGlobalID: (EOGlobalID*)globalID object: (id)object entity: (EOEntity*)entity;
Description forthcoming.

### newRow

- (NSMutableDictionary*) newRow;
Returns a dictionary with (new) values (properties+primary keys...) of the object. The newRow dictionary is created when creating the database operation (in EODatabaseChannel -databaseOperationForObject: for exemple). Values come from object state in database and overrides by changes made on the object

### object

- (id) object;
Description forthcoming.

### primaryKeyDiffs

- (NSDictionary*) primaryKeyDiffs;
Description forthcoming.

### recordToManySnapshot: relationshipName:

- (void) recordToManySnapshot: (NSArray*)gids relationshipName: (NSString*)name;
Description forthcoming.

### removeAdaptorOperation:

- (void) removeAdaptorOperation: (EOAdaptorOperation*)adaptorOperation;
removes an Adaptor Operation

### rowDiffs

- (NSDictionary*) rowDiffs;
Description forthcoming.

### rowDiffsForAttributes:

- (NSDictionary*) rowDiffsForAttributes: (NSArray*)attributes;
Description forthcoming.

### setDBSnapshot:

- (void) setDBSnapshot: (NSDictionary*)dbSnapshot;
sets the snapshot for the object (should be empty if the object has just been inserted into an EOEditingContext

### setDatabaseOperator:

- (void) setDatabaseOperator: (EODatabaseOperator)dbOpe;
Description forthcoming.

### setNewRow:

- (void) setNewRow: (NSMutableDictionary*)newRow;
Description forthcoming.

### toManySnapshots

- (NSDictionary*) toManySnapshots;
Description forthcoming.

## Instance Variables for EODatabaseOperation Class

### _adaptorOps

@protected NSMutableArray* _adaptorOps;
EOAdaptorOperations generated to perfor this DatabaseOperation
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _databaseOperator

@protected EODatabaseOperator _databaseOperator;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _dbSnapshot

@protected NSDictionary* _dbSnapshot;
The last known database values for the object (i.e. values from last fetch or last commited operation)
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _entity

@protected EOEntity* _entity;
entity
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _globalID

@protected EOGlobalID* _globalID;
global ID of the object
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _newRow

@protected NSMutableDictionary* _newRow;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _object

@protected id _object;
object (record)
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _toManySnapshots

@protected NSMutableDictionary* _toManySnapshots;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# EODatabaseOperation types

### EOAdaptorOperator

typedef enum ... EOAdaptorOperator;
Description forthcoming.

### EODatabaseOperator

typedef enum ... EODatabaseOperator;
Description forthcoming.

Up